declare const _default: import("vue").DefineComponent<{}, {
    $emit: (event: "clear" | "update:modelValue", ...args: any[]) => void;
    error: boolean;
    variant: string;
    color: string;
    disabled: boolean;
    modelValue: string;
    readonly: boolean;
    rules: unknown[];
    counter: boolean;
    persistentCounter: boolean;
    rows: number;
    label?: string | undefined;
    errorMessages?: string | undefined;
    messages?: string | undefined;
    placeholder?: string | undefined;
    maxLength?: number | undefined;
    maxRows?: number | undefined;
    $props: {
        readonly error?: boolean | undefined;
        readonly variant?: string | undefined;
        readonly color?: string | undefined;
        readonly disabled?: boolean | undefined;
        readonly modelValue?: string | undefined;
        readonly readonly?: boolean | undefined;
        readonly rules?: unknown[] | undefined;
        readonly counter?: boolean | undefined;
        readonly persistentCounter?: boolean | undefined;
        readonly rows?: number | undefined;
        readonly label?: string | undefined;
        readonly errorMessages?: string | undefined;
        readonly messages?: string | undefined;
        readonly placeholder?: string | undefined;
        readonly maxLength?: number | undefined;
        readonly maxRows?: number | undefined;
    };
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
